summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2015-04-21 00:43:42 +0000
committerManuel Rüger <mrueg@gentoo.org>2015-04-21 00:43:42 +0000
commit99a9d04465848afe0381d5e9ffa1d9aa34732844 (patch)
tree76d64bd0e906685920f6ced721e9b91baf2e2dae /sci-electronics
parentClean up. (diff)
downloadhistorical-99a9d04465848afe0381d5e9ffa1d9aa34732844.tar.gz
historical-99a9d04465848afe0381d5e9ffa1d9aa34732844.tar.bz2
historical-99a9d04465848afe0381d5e9ffa1d9aa34732844.zip
Version bump.
Package-Manager: portage-2.2.18/cvs/Linux x86_64
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/fritzing/ChangeLog9
-rw-r--r--sci-electronics/fritzing/Manifest4
-rw-r--r--sci-electronics/fritzing/fritzing-0.9.2b.ebuild59
3 files changed, 69 insertions, 3 deletions
diff --git a/sci-electronics/fritzing/ChangeLog b/sci-electronics/fritzing/ChangeLog
index 44f1e25684a1..f532dbb49a0f 100644
--- a/sci-electronics/fritzing/ChangeLog
+++ b/sci-electronics/fritzing/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for sci-electronics/fritzing
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-electronics/fritzing/ChangeLog,v 1.12 2014/06/12 13:59:16 mrueg Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-electronics/fritzing/ChangeLog,v 1.13 2015/04/21 00:43:37 mrueg Exp $
+
+*fritzing-0.9.2b (21 Apr 2015)
+
+ 21 Apr 2015; Manuel Rüger <mrueg@gentoo.org> +fritzing-0.9.2b.ebuild:
+ Version bump.
12 Jun 2014; Manuel Rüger <mrueg@gentoo.org> -fritzing-0.8.5b.ebuild:
Cleanup old.
diff --git a/sci-electronics/fritzing/Manifest b/sci-electronics/fritzing/Manifest
index a800e98646fc..29dfa249fb33 100644
--- a/sci-electronics/fritzing/Manifest
+++ b/sci-electronics/fritzing/Manifest
@@ -1,4 +1,6 @@
DIST fritzing-0.8.7b.source.tar.bz2 20007914 SHA256 7d74418863a9e3b3a4eed171b8023ddea426125f08dc83ed4c55a05d39948eb4 SHA512 f45b2d4c62227ae7bf10a481775542ce5eba1ed3d9ea45e16b60517113e2af2762a8cf1155240c7242dc79886b693319e335891fa633aa41e4699ab916a7f9e9 WHIRLPOOL 385979f6edbcb5816e5c5e0872cf74e1bdd54885af4779fdbfd29e60ed8b3349265375a74968c3bae2827e5b28897b05f3f7f36a48f8f709cc0e85a2987ded16
+DIST fritzing-0.9.2b.tar.gz 10913985 SHA256 6e9dbb94a4ca5e23effc2056f471c78913b9efa4c154ced94de8f72bfe29735f SHA512 a8b6d99c4e08f86d7a7cc6574053e8b1af565a3919cb2fc406e67972052b3fa3ded002be43e4fd0345189e4e1f3cecb3851cd14711efd83ccbcbef4cbd135c58 WHIRLPOOL 70a3e310ee8f1e53e63ca7a56b9f93808e5576b8ce0995cca470a787840e5cebad7e2b357148773610971dc2db777d581a9e62bbf94fedfbd104960bab9436f6
EBUILD fritzing-0.8.7b.ebuild 1515 SHA256 7827c0814e89ab455f7f409403e0e0c666965369a2d5f6435a12933adc622913 SHA512 3483505ea0d4bc82ebdfa772365c10677485f92618f37c32563c009967a2acad6b0ec503874fb3956ca0fe0764ffd029f813d6d4ac49fd65cd139d1328a78d9f WHIRLPOOL 084fe3fa8e844ffe112256b53b5cd7d82c1e9ea23b678a7d150328a03d83bce59d2358bd8078345f8e0255a3bdd0fde28a443aec90ffbd77256de60e1c22502f
-MISC ChangeLog 2462 SHA256 a74c897df6d7ba8c22ecb629a87fc7c632b53961d28b2dd85061dbb8e9aef994 SHA512 2d5713c156f7f92b8cd9351faef54116512309f48077579a8ee85cc3e1eae0b9ea6562e3bc358613836b9e827fba7621b46d0ac8ca7a9c95cd2685a3c1bd4153 WHIRLPOOL b9fb5a2ff69a4bca7e82600b44112db1d46775fceafe2a8990204d104008df4a36972aa9db955fd440cb690f9eeace66d3651758390fcbf6f2bc4178accd8e16
+EBUILD fritzing-0.9.2b.ebuild 1612 SHA256 00a863e4100b0382771df949c3bdb6af727262e6074f8a5af2f75394bbd0ad4b SHA512 85d7b8aa041fabb36643242bdeebf8ed16fa1e32d619cfbc39b70f3525d31504e36b0a79cd4d3af437f6d87ca15e11607b8f32acfb686092be4eb398699a2f19 WHIRLPOOL 14e4bfead9d544b511bf661092b42a76c39a6e4af5aa103039b6d7904a130ee37e807c62fc5cbae8a5f009317396ac8d71c0b53dc1c660aa14a0806dc9e75104
+MISC ChangeLog 2584 SHA256 77245a34481133e7d84a4cb790c2fdd10ff2ff3653df25e5f7e736cda26728cb SHA512 0557771e357452245938d758db91a8f24e574f7b90f509006761a6b3f200ac16fafa3aeac76e2c634aa7f9d1080804686bbd5096eadb6a64d59b3025faffef4d WHIRLPOOL 6b3022e28aded9e3bc8b0c72fbc2b0ccc30f70935165b5b2de6a68b0cae373b3cbceba97517de4ae9c65345d03ec762b7914d2024dff8ccd17fd54187a4485a1
MISC metadata.xml 372 SHA256 4af48a3f178d4a0ae2bd255a45283ef917d9f2013b61bdc16e48e87eaf1ff27e SHA512 34301d89c3f9c614242089373fb0c136998aef081d5227878bc96787380d1c854ac57bbf2ee3b0cfc00199405d8c2d5979b73f5cefc4ea471671dc53f7d8a40b WHIRLPOOL 58c0ec26261253615851d0724af58ddab0ed9768a043908b46f88d9744fce063efe230f33e7ac2d04944a03719c0067bc905d9409e2592ed5e56c37901784f2d
diff --git a/sci-electronics/fritzing/fritzing-0.9.2b.ebuild b/sci-electronics/fritzing/fritzing-0.9.2b.ebuild
new file mode 100644
index 000000000000..6191c7b4a251
--- /dev/null
+++ b/sci-electronics/fritzing/fritzing-0.9.2b.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-electronics/fritzing/fritzing-0.9.2b.ebuild,v 1.1 2015/04/21 00:43:37 mrueg Exp $
+
+EAPI=5
+
+inherit qmake-utils
+
+DESCRIPTION="Electronic Design Automation"
+HOMEPAGE="http://fritzing.org/"
+SRC_URI="https://github.com/fritzing/fritzing-app/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="CC-BY-SA-3.0 GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtsvg:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtconcurrent:5
+ dev-qt/qtserialport:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ dev-libs/quazip"
+DEPEND="${RDEPEND}
+ >=dev-libs/boost-1.40"
+
+S="${WORKDIR}/${PN}-app-${PV}"
+
+src_prepare() {
+ local translations=
+
+ # Get a rid of the bundled libs
+ # Bug 412555 and
+ # https://code.google.com/p/fritzing/issues/detail?id=1898
+ rm -rf src/lib/quazip/ pri/quazip.pri src/lib/boost*
+
+ # Fritzing doesn't need zlib
+ sed -i -e 's:LIBS += -lz::' -e 's:-lminizip::' phoenix.pro || die
+
+ edos2unix ${PN}.desktop
+
+ # Somewhat evil but IMHO the best solution
+ for lang in $LINGUAS; do
+ lang=${lang/linguas_}
+ [ -f "translations/${PN}_${lang}.qm" ] && translations+=" translations/${PN}_${lang}.qm"
+ done
+ if [ -n "${translations}" ]; then
+ sed -i -e "s:\(translations.extra =\) .*:\1 cp -p ${translations} \$(INSTALL_ROOT)\$\$PKGDATADIR/translations\r:" phoenix.pro || die
+ else
+ sed -i -e "s:translations.extra = .*:\r:" phoenix.pro || die
+ fi
+}
+
+src_configure() {
+ eqmake5 DEFINES=QUAZIP_INSTALLED PREFIX="${D}"/usr phoenix.pro
+}